<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
//v3.1 www.exoops.info 2006/03 
##################################################################################
# Friend Finder for e-xoops  Version 3.02 beta                                 #
#                                                                                #
# Script design  : PhpMeet  :   Copyright 2002 Jeremy Ross-webmaster@phprank.com #
# Created 15/01/02              Last Modified 15/01/02                           #
# Scripts Home              :   http://www.jrscripts.com                         #
#                                                                                #
# Xoops-RC2 French Version  :   jokerman@free.fr                                 #
# Web Home                     :   http://www.webetfric.com                      #
#                                                                                #
# Xoops-RC2 English Version :          Neon@neon.qldgamers.com                   #
# Web Home                  :   http://neon.qldgamers.com                        #
#                                                                                #
#                 Redesigned and new improvemends by                             #
#        eagle81 Manuel Caballero       Manuel@dancepartner.net                  #
#                    http://www.dancepartner.net                                 #
#                             2002-09-12                                         #
##################################################################################
include("admin_header.php");
global $db,  $bcoosConfig, $xoopsModule, $myts,$xoopsUser;
$username=$xoopsUser->uname;
//$myts =& MyTextSanitizer::getInstance();
if($sec) {
   switch($sec) {
        case 'activate':
$result = "UPDATE ".$db->prefix("friendfinder")." SET active='1'";
              if(!$result = $db->query($result))
        die("Error! Could not connect to database!");
redirect_header("view-all.php",2,_activated successfully."");
        exit;
        break;
        }
}
OpenTable();
$view = $db->query("SELECT id,user,active,sex,name,email,city,state,country,hobby,partner,height,weight,birth,pic,Description,imgname,imgtime,date FROM ".$db->prefix("friendfinder")." WHERE (id = '$id')");
        while (list($id,$user,$active,$sex,$name,$email,$city,$state,$country,$hobby,$partner,$height,$weight,$birth,$pic,$Description,$imgname,$imgtime,$date ) = $db->fetchRow($view)) {
echo "<FORM METHOD=\"POST\" ACTION=\"$PHP_SELF?id=$id\">
<TABLE BORDER=0 CELLPADDING=0 class=bg3 CELLSPACING=1>
<TR><TD WIDTH=600 class=bg3 VALIGN=top>
<TABLE BORDER=0 CELLPADDING=3 class=bg2 CELLSPACING=1 WIDTH=100%>
<TR>
<TD WIDTH=150 class=bg3><b>"._UNAME."</b></TD>
<TD WIDTH=450 class=bg3>".$myts->makeTboxData4Show($name)."</TD>
</TR>";
if ($email == ''){
    echo "";
    }else{
    echo "<TR>
    <TD WIDTH=150 class=bg3><b>"._TEXTEMAIL.":</b></TD>
    <TD WIDTH=450 class=bg3>".$myts->makeTboxData4Show($email)."</TD>
    </TR>";
     }
echo "
<TR>
<TD WIDTH=150 class=bg3><b>"._TEXTDESCRIPTION."</b></TD>
<TD WIDTH=450 class=bg3>".$myts->makeTboxData4Show($Description)."</TD>
</TR>
<TR>
<TD WIDTH=150 class=bg3>&nbsp;</TD>
<TD WIDTH=450 class=bg3><br><INPUT TYPE=hidden NAME=sec VALUE=\"activate\"><INPUT TYPE=\"submit\" class=\"button\" VALUE="._activate."></TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE></FORM>";
closeTable();
}
include("admin_footer.php");
?>
